/// Class which retrieves full JSON data
class FullData {
  FullData({this.data0});

  final List<Data0>? data0;

  factory FullData.fromJson(Map<String, dynamic> parsedJson) {
    var list = parsedJson['data'] as List;
    List<Data0> data0List = list.map((i) => Data0.fromJson(i)).toList();
    return FullData(data0: data0List);
  }
}

/// Class which retrieves the 1st data array
class Data0 {
  Data0({this.data1});

  final List<Data1>? data1;

  factory Data0.fromJson(Map<String, dynamic> parsedJson) {
    var list = parsedJson['data'] as List;
    List<Data1> data1List = list.map((i) => Data1.fromJson(i)).toList();
    return Data0(data1: data1List);
  }
}

/// Class which retrieves the 2nd data array
class Data1 {
  Data1({this.data2});

  final List<Data2>? data2;

  factory Data1.fromJson(Map<String, dynamic> parsedJson) {
    var list = parsedJson['data'] as List;
    List<Data2> data2List = list.map((i) => Data2.fromJson(i)).toList();
    return Data1(data2: data2List);
  }
}

/// Class which retrieves the 3rd data array
class Data2 {
  Data2({this.values});

  final List<Values>? values;

  factory Data2.fromJson(Map<String, dynamic> parsedJson) {
    var list = parsedJson['values'] as List;
    List<Values> valueList = list.map((i) => Values.fromJSON(i)).toList();
    return Data2(values: valueList);
  }
}

/// Class which retrieves the value data array
class Values {
  Values({this.key, this.value});

  final String? key;
  final int? value;

  factory Values.fromJSON(Map<String, dynamic> parsedJson) {
    return Values(key: parsedJson['key'], value: parsedJson['value']);
  }
}
